package com.uas.platform.b2b.service.impl;

import java.util.List;

import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;

import com.uas.platform.b2b.model.PurchaseNotice;
import com.uas.platform.b2b.model.SaleSend;
import com.uas.platform.b2b.service.PurchaseNoticeService;
import com.uas.platform.core.model.PageInfo;

@Service
public class PurchaseNoticeServiceImpl implements PurchaseNoticeService{

	@Override
	public void save(List<PurchaseNotice> notices) {
		// TODO
		
	}

	@Override
	public Page<PurchaseNotice> findAllByPageInfo(PageInfo pageInfo) {
		// TODO
		return null;
	}

	@Override
	public PurchaseNotice findById(Long id) {
		// TODO
		return null;
	}

	@Override
	public void send(SaleSend send) {
		// TODO
		
	}

	@Override
	public void send(List<SaleSend> sends) {
		// TODO
		
	}

	@Override
	public List<SaleSend> findSendById(long noticeId) {
		// TODO
		return null;
	}

	@Override
	public List<PurchaseNotice> findNotUploadNotice() {
		// TODO
		return null;
	}

	@Override
	public void onNoticeDownSuccess(String[] idArray) {
		// TODO
		
	}

	@Override
	public List<SaleSend> findNotUploadSend() {
		// TODO
		return null;
	}

	@Override
	public List<SaleSend> findNotSendSend() {
		// TODO
		return null;
	}

	@Override
	public void onSendUploadSuccess(String[] idArray) {
		// TODO
		
	}

	@Override
	public void onSendDownSuccess(String[] idArray) {
		// TODO
		
	}

}
